xspectr.com

Библиотека Публикации Soft

Xposed Framework советы и рекомендации по установке

Сам по себе Xposed Framework не имеет никакой функциональности, и устанавливается, как основа для дальнейшей установки дополнительных модулей.
Кто ещё не совсем разобрался с вопросом нужна ли она ему и как её применять, можно почитать здесь.
Ну, а мы пока перейдём непосредственно к вопросу о скачивании и установке самой программы.

Требования к установке.
— Наличие рут-прав — абсолютно обязательно,т. к. Xposed = серьезное вмешательство в систему. Нет рута — нет Xposed.
Важно:
— Xposed не поддерживает среду исполнения ART и при установке сама меняет её на dalvik.
Xposed для Lollipop также не работает на KitKat ( среда Lollipop отличается от ART KitKat-
a).
— Xposed не дружит с прошивками LEWA и MIUI («не дружит» не синоним «гарантированно не
работает», но в любом случае вы предупреждены). Для MIUI существует специальный аналог Xposed:
— WSM Tools

  • Желательно перед прошивкой сделать бэкапы, так как есть шанс, что при неудачной прошивки понадобиться полная перепрошивка устройства.

Все установки и изменения в своём устройстве вы делаете на свой страх и риск, так как от неудач никто не застрахован.

Если вы не являетесь обладателем Android 5.х.х (lollipop) версии, вам нужно лишь:

  1. Cкачать отсюда последнюю версию установочного apk-файла, запустить его и установите утилиту Xposed Installer.
  2. Запустить установленную утилиту, зайти в раздел Фреймворк и тапнуть на «Установить\Обновить».

  1. После запроса системы, согласится на предоставление ROOT-прав и далее загрузка и установка пройдёт в автоматическом режиме.
  2. После окончания установки необходимо перезагрузить устройство.

Вот и всё на вашем устройстве теперь установлен Xposed Framework.

Если же у вас Android версии 5.0 и 5.1 будет немного сложнее.
Для начала вам следует скачать архив с самой программой. Это можно сделать здесь. Выбрав свою архитектуру.
Следует учитывать, что:

SDK21: для Android 5.0 (Lollipop)
SDK22: для Android 5.1 (также Lollipop)
SDK23: для Android 6.0 (Marshmallow)

Далее загрузив архив с программой себе на устройство его следует прошить, либо с помощью кастомного рекавери, либо через утилиту FlashFire.

Для управления Xposet Framework, нужно установить Xposed Installer 3.1(именно этот) скачать его можно здесь, без него он работать не будет.

После установки следует перезагрузить устройство. Теперь можно поговорить об установке непосредственно модулей для Xposed Framework. Но об это уже в следующей статье.

  •  
  •  
  •  
  •  
  •  
  •  

Вход через соц. сети

Все права защищены; 2018 xspectr.com
Xspectr.com
Книги